Summary: BMS 
Name: libb++
Version: 3.0.3
Release: 1%{dist}
License: Proprietary
Group: System Environment/Libraries
Source: libb++-%{version}.src.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildRequires: libbms-devel, btas-devel, ncurses-devel
Provides: libb++.so

%description
A library of useful C++ classes used by BMS programs.  Some continue to
be useful.  Others are not so useful, but needed to keep old programs
working.

%package devel
Summary: Headers and static library for libbpp
Group: Development/Libraries

%description devel
Headers and static library for compiling programs that use libb++

%prep
%setup -q
#patch -p1 -b .el6
ln Btcb.h btcb.hpp
ln Array.h array.hpp
ln Date.h date.hpp
ln Keydata.h keydata.hpp
ln Fchar.h fchar.hpp
ln Money.h money.hpp
ln Fbin.h fbin.hpp
ln Ftype.h ftype.hpp
ln Window.h window.hpp

%build
make CXXFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="-pipe -I. -I/usr/include/btas -I/bms/include" RANLIB=ranlib
rm -rf pic
mkdir pic
make CXXFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="-pipe -I. -I/usr/include/btas -I/bms/include -fpic"	\
	M=pic/ RANLIB=ranlib
cd pic
ar xv libb++.a
cd ..
gcc -shared -Wl,-soname=libb++.so.3 -o libb++.so pic/*.o	\
	-L/bms/lib -lfsp -lbms -lncurses -lbtas

%install
umask 002
mkdir -p $RPM_BUILD_ROOT/bms/lib
mkdir -p $RPM_BUILD_ROOT/bms/include
cp -p *.h Fchar.cc fifo.cpp $RPM_BUILD_ROOT/bms/include

cd $RPM_BUILD_ROOT/bms/include
ln Btcb.h btcb.hpp
ln Array.h array.hpp
ln Date.h date.hpp
ln Keydata.h keydata.hpp
ln Fchar.h fchar.hpp
ln Money.h money.hpp
ln Fbin.h fbin.hpp
ln Ftype.h ftype.hpp
ln Window.h window.hpp
cd -
  
%ifos aix4.1
mkdir -p $RPM_BUILD_ROOT/bms/slib
cp libb++.a $RPM_BUILD_ROOT/bms/slib
mkdir -p $RPM_BUILD_ROOT/bms/lib/3.0
cp libb++.so $RPM_BUILD_ROOT/bms/lib/3.0/libb++.a
%else
cp libb++.a $RPM_BUILD_ROOT/bms/lib
cp libb++.so $RPM_BUILD_ROOT/bms/lib/libb++.so.3
cd $RPM_BUILD_ROOT/bms/lib
ln -s libb++.so.3 libb++.so
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%ifos linux
%post
if grep '^/bms/lib$' /etc/ld.so.conf >/dev/null; then
  :
else
  echo "/bms/lib" >>/etc/ld.so.conf
fi
/sbin/ldconfig
%endif

%files
%defattr(-,root,bms)
%ifos aix4.1
/bms/lib/3.0/libb++.a
%else
/bms/lib/libb++.so.3
%endif

%files devel
%defattr(-,root,bms)
%ifos aix4.1
/bms/slib/libb++.a
%else
/bms/lib/libb++.a
/bms/lib/libb++.so
%endif
/bms/include/*

%changelog
* Mon Mar 07 2016 Stuart Gathman <stuart@bmsi.com>	3.0.2-2
- Don't inline FJUL since gcc refuses to implement

* Tue Dec 08 2009 Stuart Gathman <stuart@bmsi.com>	3.0.2-1
- uninitialized ptr bug in btfile.cc
- incorporate other patches

* Tue Sep 21 2004 Stuart Gathman <stuart@bmsi.com>	3.0.1-4
- make backspace delete previous char even in replace mode

* Tue Sep 21 2004 Stuart Gathman <stuart@bmsi.com>	3.0.1-2
- include libfsp in libb++ dyn-lib for AIX

* Fri Sep 17 2004 Stuart Gathman <stuart@bmsi.com>	3.0.1-1
- first AIX release of STL version

* Fri Jun 11 2004 Stuart Gathman <stuart@bmsi.com>	3.0-7
- include fifo.cpp

* Wed Feb 11 2004 Stuart Gathman <stuart@bmsi.com>	3.0-6
- Fix gsub bug, add test suite
- Include string in socket.h
- link libbtas

* Mon Feb 09 2004 Stuart Gathman <stuart@bmsi.com>	3.0-5
- Add ECHAR features and string utils

* Mon Feb 09 2004 Stuart Gathman <stuart@bmsi.com>	3.0-4
- Use -soname for versioned library

* Mon Feb 09 2004 Stuart Gathman <stuart@bmsi.com>	3.0-3
- Link libb++.so against ncurses

* Sat Feb 07 2004 Stuart Gathman <stuart@bmsi.com>	3.0-2
- include Obstack, version dynamic lib, Fchar.cc

* Fri Feb 06 2004 Stuart Gathman <stuart@bmsi.com>	3.0-1
- first RPM release 
